> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bouncy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Website

> Create a new bio link page (website)

<Warning>
  **Complex Customization Available**

  Website creation has many advanced parameters for design and customization that aren't fully documented here.

  **Need help?** Create a website using the [Bouncy.ai dashboard](https://bouncy.ai/dashboard), then contact [support](https://help.bouncy.ai) - we'll export the exact API calls for you to duplicate it programmatically.
</Warning>

## Request

### Headers

<ParamField header="Content-Type" type="string" required>
  Must be `application/json`
</ParamField>

### Body

<ParamField body="slug" type="string" required>
  URL slug for the website

  **Example:** `myprofile`
  **Result:** `bouncy.ai/myprofile`
</ParamField>

<ParamField body="title" type="string" required>
  Page title

  **Example:** `John Doe - Links`
</ParamField>

<ParamField body="description" type="string">
  Page description/bio

  **Example:** `Digital Creator | Follow my socials`
</ParamField>

<ParamField body="template" type="string">
  Template style to use

  **Options:** `bounce`, `simple`, `deeplink`, `spotlight`, `personal`
  **Default:** `bounce`
</ParamField>

<ParamField body="theme" type="object">
  Theme configuration

  <Expandable title="properties">
    <ParamField body="backgroundColor" type="string">
      Background color (hex code)
    </ParamField>

    <ParamField body="textColor" type="string">
      Text color (hex code)
    </ParamField>

    <ParamField body="buttonColor" type="string">
      Button color (hex code)
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="links" type="array">
  Array of link objects to display

  <Expandable title="properties">
    <ParamField body="title" type="string">
      Link title
    </ParamField>

    <ParamField body="url" type="string">
      Destination URL
    </ParamField>

    <ParamField body="icon" type="string">
      Icon identifier (optional)
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="profileImage" type="string">
  URL to profile image

  **Example:** `https://example.com/avatar.jpg`
</ParamField>

<ParamField body="socialLinks" type="object">
  Social media links

  <Expandable title="properties">
    <ParamField body="twitter" type="string">
      Twitter/X username
    </ParamField>

    <ParamField body="instagram" type="string">
      Instagram username
    </ParamField>

    <ParamField body="facebook" type="string">
      Facebook URL
    </ParamField>

    <ParamField body="linkedin" type="string">
      LinkedIn URL
    </ParamField>

    <ParamField body="youtube" type="string">
      YouTube channel URL
    </ParamField>
  </Expandable>
</ParamField>

## Response

<ResponseField name="id" type="string">
  Unique website ID
</ResponseField>

<ResponseField name="slug" type="string">
  URL slug
</ResponseField>

<ResponseField name="url" type="string">
  Full URL to the website

  **Example:** `https://bouncy.ai/myprofile`
</ResponseField>

<ResponseField name="title" type="string">
  Page title
</ResponseField>

<ResponseField name="template" type="string">
  Template being used
</ResponseField>

<ResponseField name="createdAt" type="string">
  ISO 8601 timestamp
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.bouncy.ai/v1/websites \
    -H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "slug": "johndoe",
      "title": "John Doe - Links",
      "description": "Digital Creator | Follow my socials",
      "template": "bounce",
      "theme": {
        "backgroundColor": "#ffffff",
        "textColor": "#000000",
        "buttonColor": "#084c58"
      },
      "links": [
        {
          "title": "My Website",
          "url": "https://johndoe.com",
          "icon": "globe"
        },
        {
          "title": "YouTube Channel",
          "url": "https://youtube.com/@johndoe",
          "icon": "youtube"
        }
      ],
      "socialLinks": {
        "twitter": "johndoe",
        "instagram": "johndoe"
      }
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.bouncy.ai/v1/websites', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      slug: 'johndoe',
      title: 'John Doe - Links',
      description: 'Digital Creator | Follow my socials',
      template: 'bounce',
      links: [
        { title: 'My Website', url: 'https://johndoe.com', icon: 'globe' },
        { title: 'YouTube Channel', url: 'https://youtube.com/@johndoe', icon: 'youtube' }
      ],
      socialLinks: {
        twitter: 'johndoe',
        instagram: 'johndoe'
      }
    })
  });

  const website = await response.json();
  console.log('Website created:', website.url);
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://api.bouncy.ai/v1/websites',
      headers={
          'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY',
          'Content-Type': 'application/json'
      },
      json={
          'slug': 'johndoe',
          'title': 'John Doe - Links',
          'description': 'Digital Creator | Follow my socials',
          'template': 'bounce',
          'links': [
              {'title': 'My Website', 'url': 'https://johndoe.com', 'icon': 'globe'},
              {'title': 'YouTube Channel', 'url': 'https://youtube.com/@johndoe', 'icon': 'youtube'}
          ],
          'socialLinks': {
              'twitter': 'johndoe',
              'instagram': 'johndoe'
          }
      }
  )

  website = response.json()
  print(f"Website created: {website['url']}")
  ```
</RequestExample>

<ResponseExample>
  ```json 201 Created theme={null}
  {
    "id": "web_abc123xyz",
    "slug": "johndoe",
    "url": "https://bouncy.ai/johndoe",
    "title": "John Doe - Links",
    "description": "Digital Creator | Follow my socials",
    "template": "bounce",
    "createdAt": "2026-02-06T12:00:00Z"
  }
  ```

  ```json 409 Conflict theme={null}
  {
    "error": {
      "code": "slug_already_exists",
      "message": "The slug 'johndoe' is already in use"
    }
  }
  ```
</ResponseExample>
